package tv.ouya.console.api;

import android.app.Activity;
import android.content.ComponentName;
import android.content.Intent;
import android.os.Bundle;

public class OuyaAuthenticationHelper
{
  public static final String OUYA_ACCOUNT_TYPE = "tv.ouya.account.v1";
  
  public static boolean handleError(Activity paramActivity, int paramInt1, String paramString, Bundle paramBundle, int paramInt2, OuyaResponseListener<Void> paramOuyaResponseListener)
  {
    if (paramInt1 == 2001)
    {
      if (paramBundle.containsKey("intent"))
      {
        paramActivity.startActivityForResult((Intent)paramBundle.getParcelable("intent"), paramInt2);
        return true;
      }
    }
    else if ((paramInt1 == 2014) || (paramInt1 == 2020) || (paramInt1 == 2021) || (paramInt1 == 2019))
    {
      paramString = new Intent();
      paramString.setComponent(new ComponentName("tv.ouya.console", "tv.ouya.console" + ".launcher.settings.CreditCardErrorActivity"));
      paramString.putExtra("ERROR_CODE", paramInt1);
      paramActivity.startActivityForResult(paramString, paramInt2);
      return true;
    }
    return false;
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/viking-horde/classes.jar!/tv/ouya/console/api/OuyaAuthenticationHelper.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */